package controlador;

import usuario.cadastro.CadastroUsuario;
import usuario.model.IUsuario;

public class ControladorLogon {
	
	private static ControladorLogon instancia;
	private CadastroUsuario cadastroUsuario;
	
	private ControladorLogon() {
		cadastroUsuario = new CadastroUsuario();
	}
	
	public static ControladorLogon getInstancia(){
		
		if(instancia == null){
			
			instancia = new ControladorLogon();
			
		}
		
		return instancia;
	}
	
	public boolean logon(String login, String senha){
		
		boolean sucesso = false;
		
		IUsuario usuario = cadastroUsuario.getUsuarioLogin(login);
		
		if(usuario != null){
			
			sucesso = senha.equals(usuario.getSenha());
			
		}
		
		return sucesso;
		
	}

}
