package estudoCaso.cadastro;

import usuario.model.IUsuario;
import usuario.repositorio.IRepositorioUsuario;
import estudoCaso.model.IEstudoCaso;
import estudoCaso.repositorio.IRepositorioEstudoCaso;
import factory.RepositorioFactory;

public class CadastroEstudoCaso {

private IRepositorioEstudoCaso repositorioestudoCaso;
	
	public CadastroEstudoCaso()  {
		try {
			repositorioestudoCaso = RepositorioFactory.getRepositorio(IRepositorioEstudoCaso.class);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	public boolean cadastrarEstudoCaso(IEstudoCaso estudo){
		
		return repositorioestudoCaso.cadastrarEstudoCaso(estudo);
	}
	
	public IEstudoCaso getEstudoCasoNome(String nome){
		
		return repositorioestudoCaso.getEstudoCasoNome(nome);
	}
	
}
