package managedBeans;

import java.io.IOException;

import fachada.Fachada;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import javax.faces.context.FacesContext;
import javax.faces.event.ComponentSystemEvent;

/**
 * @author Jesus
 *
 */
@ManagedBean(name="logon")
@SessionScoped
public class LogonBean {

	private String login;
	private String password;
	private boolean estaLogado;

	private static Fachada fachada;

	public LogonBean() {

		fachada = Fachada.getInstancia();
	}

	public java.lang.String getLogin() {
		return login;
	}

	public void setLogin(java.lang.String login) {
		this.login = login;
	}

	public java.lang.String getPassword() {
		return password;
	}

	public void setPassword(java.lang.String password) {
		this.password = password;
	}

	public String logon(){
		String outcome = "";

		if(fachada.logon(this.login, this.password)){
			
			//Esse codigo comentado abaixo eh para testes, enquanto ainda no estamos em producao
			//Os usuarios que se cadastrarem podem acessar o sistema
			//if(usuario.isCadastroLiberado()){
				
				outcome = "sucesso";
				
			FacesContext.getCurrentInstance().addMessage("form_Logon", new FacesMessage(FacesMessage.SEVERITY_WARN,"", "Logon bem sucedido"));

		}else{

			FacesContext.getCurrentInstance().addMessage("form_Logon", new FacesMessage(FacesMessage.SEVERITY_WARN,"", "Login e/ou senha incorreto(s)")); 
			outcome = "falha";

		}

		return outcome;
	}
}
