package usuario.cadastro;

import factory.RepositorioFactory;
import usuario.model.IUsuario;
import usuario.repositorio.IRepositorioUsuario;

public class CadastroUsuario {
	
	private IRepositorioUsuario repositorioUsuario;
	
	public CadastroUsuario()  {
		try {
			repositorioUsuario = RepositorioFactory.getRepositorio(IRepositorioUsuario.class);
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		}
	}
	
	public IUsuario getUsuarioLogin(String login){
		
		return repositorioUsuario.getUsuarioLogin(login);
	}

}
