package usuario.repositorio;

import genericos.HibernateUtil;

import org.hibernate.Session;

import usuario.model.IUsuario;
import usuario.model.Usuario;

public class RepositorioUsuarioHibernate implements IRepositorioUsuario {

	private Session sessao;

	{
		if (sessao == null) {

			sessao = HibernateUtil.getFabricaDeSessao().getCurrentSession();

		} else if (!sessao.isOpen()) {

			sessao = HibernateUtil.getFabricaDeSessao().openSession();
		}
	}
	
	public void abrirTransacao(){

		try{
			sessao.beginTransaction();
		}catch(Exception e){
			e.printStackTrace();
		}
	}

	public void fecharTransacao(){
		try{
			sessao.flush();
		}catch(Exception e){
			e.printStackTrace();
		}
	}
	
	/*
	 * (non-Javadoc)
	 * 
	 * @see
	 * usuario.repositorio.IRepositorioUsuario#getUsuarioLogin(java.lang.String)
	 */
	@Override
	public IUsuario getUsuarioLogin(String login) {

		IUsuario retorno = null;
		
		abrirTransacao();
		retorno = (IUsuario) sessao
				.createSQLQuery(
						"SELECT {u.*} FROM usuario u WHERE u.login='" + login
								+ "';").addEntity("u", Usuario.class)
				.uniqueResult();

		fecharTransacao();
		return retorno;
	}


}
